
//+------------------------------------------------------------------+
//|                                                      |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014 BY V.1 "
#property link      ""

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 1
#property  indicator_buffers 2
#property  indicator_color1  Red
#property  indicator_color2  Green
#property  indicator_width1  2
#property  indicator_width2  2

extern string fileSound = "alert.wav";
extern int IndicatorLength = 500;
extern string s0 = "TMA1 Settings";
extern int     TMA1HalfLength = 20;
extern int     TMA1TimeFrame = 5;
extern double  TMA1K = 2.5;

//extern string s1 = "TMA2 Settings";
//extern int     TMA2HalfLength = 20;
//extern int     TMA2TimeFrame = 60;
//extern double  TMA2K = 2.5;
//extern string s2 = "WPR Settings";
//extern int WPRTimeFrame = 0;
//extern int WPRPeriod = 277;
//extern double WPRLevel = -50;
//extern string s3 = "AO Settings";
//extern int AOTimeFrame = 0;
//extern double AOLevel = 0;

double LastTime = 0;

int     PRICE_MODE = 0;
int     ATR_PERIOD = 100;

double     BuyBuffer[];
double     SEllBuffer[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   IndicatorBuffers(2);
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   IndicatorDigits(Digits+1);
//---- indicator buffers mapping
   SetIndexBuffer(0,BuyBuffer);
   SetIndexBuffer(1,SEllBuffer);
//---- name for DataWindow and indicator subwindow label
   IndicatorShortName("V,1");
   SetIndexLabel(0,"");
   SetIndexLabel(1,"");
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   if(counted_bars>0) counted_bars--;
//----
   int Limit = Bars - counted_bars;
   for(int i = 0; i < MathMin(Limit, IndicatorLength) + 2; i++)
   {
     SEllBuffer[i] = 0;
     BuyBuffer[i] = 0;
//     double AO = iAO(NULL, AOTimeFrame, i);
     //double WPR = iWPR(NULL, WPRTimeFrame, WPRPeriod, i);
    // double TMA2 = iMA(NULL, TMA2TimeFrame, TMA2HalfLength+1 , 0, 3, PRICE_MODE, iBarShift(NULL, TMA2TimeFrame, Time[i]));
     double TMA1 = iMA(NULL, TMA1TimeFrame, TMA1HalfLength+1 , 0, 3, PRICE_MODE, iBarShift(NULL, TMA1TimeFrame, Time[i]));
     double avg  = iATR(NULL,TMA1TimeFrame,ATR_PERIOD, iBarShift(NULL, TMA1TimeFrame, Time[i])+10);
     double upper = TMA1 + TMA1K*avg;
     double lower = TMA1 - TMA1K*avg;
     // 
     //      1
     //if(High[i] < TMA2)
     {
       if(High[i] > upper)
       {
         //if(WPR < WPRLevel)
         {
  //         if(AO < AOLevel)
           {
             SEllBuffer[i] = 1;
             if(LastTime != Time[0])
             {
               PlaySound(fileSound);
               LastTime = Time[0];
             }
           }
         }
       }
     }
     
     //if(Low[i] > TMA2)
     {
       if(Low[i] < lower)
       {
         //if(WPR > WPRLevel)
         {
    //       if(AO > AOLevel)
           {
             BuyBuffer[i] = 1;
             if(LastTime != Time[0])
             {
               PlaySound(fileSound);
               LastTime = Time[0];
             }
           }
         }
       }
     }
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+